Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.nio.client
Class AbstractHttpAsyncClient

    java.lang.Object
      org.apache.http.impl.nio.client.AbstractHttpAsyncClient

All Implemented Interfaces:
  HttpAsyncClient

Direct Known Subclasses:
  DefaultHttpAsyncClient

Deprecated.

    @Deprecated
    public abstract class AbstractHttpAsyncClient

extends Object
implements HttpAsyncClient

Constructor Summary
`protected` | `AbstractHttpAsyncClient(ClientAsyncConnectionManager connmgr)` Deprecated.
`protected` | `AbstractHttpAsyncClient(org.apache.http.impl.nio.reactor.IOReactorConfig config)` Deprecated.

Method Summary
`void` | `addRequestInterceptor(org.apache.http.HttpRequestInterceptor itcp)` Deprecated.
`void` | `addRequestInterceptor(org.apache.http.HttpRequestInterceptor itcp, int index)` Deprecated.
`void` | `addResponseInterceptor(org.apache.http.HttpResponseInterceptor itcp)` Deprecated.
`void` | `addResponseInterceptor(org.apache.http.HttpResponseInterceptor itcp, int index)` Deprecated.
`void` | `clearRequestInterceptors()` Deprecated.
`void` | `clearResponseInterceptors()` Deprecated.
`protected org.apache.http.auth.AuthSchemeRegistry` | `createAuthSchemeRegistry()` Deprecated.
`protected org.apache.http.conn.ConnectionKeepAliveStrategy` | `createConnectionKeepAliveStrategy()` Deprecated.
`protected org.apache.http.ConnectionReuseStrategy` | `createConnectionReuseStrategy()` Deprecated.
`protected org.apache.http.cookie.CookieSpecRegistry` | `createCookieSpecRegistry()` Deprecated.
`protected org.apache.http.client.CookieStore` | `createCookieStore()` Deprecated.
`protected org.apache.http.client.CredentialsProvider` | `createCredentialsProvider()` Deprecated.
`protected org.apache.http.protocol.HttpContext` | `createHttpContext()` Deprecated.
`protected abstract org.apache.http.params.HttpParams` | `createHttpParams()` Deprecated.
`protected abstract org.apache.http.protocol.BasicHttpProcessor` | `createHttpProcessor()` Deprecated.
`protected org.apache.http.conn.routing.HttpRoutePlanner` | `createHttpRoutePlanner()` Deprecated.
`protected org.apache.http.client.AuthenticationStrategy` | `createProxyAuthenticationStrategy()` Deprecated.
`protected org.apache.http.client.AuthenticationStrategy` | `createTargetAuthenticationStrategy()` Deprecated.
`protected org.apache.http.client.UserTokenHandler` | `createUserTokenHandler()` Deprecated.
`
`<T> Future<T>`
` | `execute(org.apache.http.nio.protocol.HttpAsyncRequestProducer requestProducer, org.apache.http.nio.protocol.HttpAsyncResponseConsumer<T> responseConsumer, org.apache.http.concurrent.FutureCallback<T> callback)` Deprecated. Initiates asynchronous HTTP request execution using the default context.
`
`<T> Future<T>`
` | `execute(org.apache.http.nio.protocol.HttpAsyncRequestProducer requestProducer, org.apache.http.nio.protocol.HttpAsyncResponseConsumer<T> responseConsumer, org.apache.http.protocol.HttpContext context, org.apache.http.concurrent.FutureCallback<T> callback)` Deprecated. Initiates asynchronous HTTP request execution using the given context.
`Future<org.apache.http.HttpResponse>` | `execute(org.apache.http.HttpHost target, org.apache.http.HttpRequest request, org.apache.http.concurrent.FutureCallback<org.apache.http.HttpResponse> callback)` Deprecated. Initiates asynchronous HTTP request execution against the given target.
`Future<org.apache.http.HttpResponse>` | `execute(org.apache.http.HttpHost target, org.apache.http.HttpRequest request, org.apache.http.protocol.HttpContext context, org.apache.http.concurrent.FutureCallback<org.apache.http.HttpResponse> callback)` Deprecated. Initiates asynchronous HTTP request execution against the given target using the given context.
`Future<org.apache.http.HttpResponse>` | `execute(org.apache.http.client.methods.HttpUriRequest request, org.apache.http.concurrent.FutureCallback<org.apache.http.HttpResponse> callback)` Deprecated. Initiates asynchronous HTTP request execution.
`Future<org.apache.http.HttpResponse>` | `execute(org.apache.http.client.methods.HttpUriRequest request, org.apache.http.protocol.HttpContext context, org.apache.http.concurrent.FutureCallback<org.apache.http.HttpResponse> callback)` Deprecated. Initiates asynchronous HTTP request execution using the given context.
`org.apache.http.auth.AuthSchemeRegistry` | `getAuthSchemes()` Deprecated.
`org.apache.http.conn.ConnectionKeepAliveStrategy` | `getConnectionKeepAliveStrategy()` Deprecated.
`ClientAsyncConnectionManager` | `getConnectionManager()` Deprecated.
`org.apache.http.ConnectionReuseStrategy` | `getConnectionReuseStrategy()` Deprecated.
`org.apache.http.cookie.CookieSpecRegistry` | `getCookieSpecs()` Deprecated.
`org.apache.http.client.CookieStore` | `getCookieStore()` Deprecated.
`org.apache.http.client.CredentialsProvider` | `getCredentialsProvider()` Deprecated.
`protected org.apache.http.protocol.BasicHttpProcessor` | `getHttpProcessor()` Deprecated.
`org.apache.http.params.HttpParams` | `getParams()` Deprecated.
`org.apache.http.client.AuthenticationStrategy` | `getProxyAuthenticationStrategy()` Deprecated.
`org.apache.http.client.RedirectStrategy` | `getRedirectStrategy()` Deprecated.
`org.apache.http.HttpRequestInterceptor` | `getRequestInterceptor(int index)` Deprecated.
`int` | `getRequestInterceptorCount()` Deprecated.
`org.apache.http.HttpResponseInterceptor` | `getResponseInterceptor(int index)` Deprecated.
`int` | `getResponseInterceptorCount()` Deprecated.
`org.apache.http.conn.routing.HttpRoutePlanner` | `getRoutePlanner()` Deprecated.
`org.apache.http.nio.reactor.IOReactorStatus` | `getStatus()` Deprecated.
`org.apache.http.client.AuthenticationStrategy` | `getTargetAuthenticationStrategy()` Deprecated.
`org.apache.http.client.UserTokenHandler` | `getUserTokenHandler()` Deprecated.
`void` | `removeRequestInterceptorByClass(Class<? extends org.apache.http.HttpRequestInterceptor> clazz)` Deprecated.
`void` | `removeResponseInterceptorByClass(Class<? extends org.apache.http.HttpResponseInterceptor> clazz)` Deprecated.
`void` | `setAuthSchemes(org.apache.http.auth.AuthSchemeRegistry authSchemeRegistry)` Deprecated.
`void` | `setCookieSpecs(org.apache.http.cookie.CookieSpecRegistry cookieSpecRegistry)` Deprecated.
`void` | `setCookieStore(org.apache.http.client.CookieStore cookieStore)` Deprecated.
`void` | `setCredentialsProvider(org.apache.http.client.CredentialsProvider credsProvider)` Deprecated.
`void` | `setKeepAliveStrategy(org.apache.http.conn.ConnectionKeepAliveStrategy keepAliveStrategy)` Deprecated.
`void` | `setParams(org.apache.http.params.HttpParams params)` Deprecated.
`void` | `setProxyAuthenticationStrategy(org.apache.http.client.AuthenticationStrategy proxyAuthStrategy)` Deprecated.
`void` | `setRedirectStrategy(org.apache.http.client.RedirectStrategy redirectStrategy)` Deprecated.
`void` | `setReuseStrategy(org.apache.http.ConnectionReuseStrategy reuseStrategy)` Deprecated.
`void` | `setRoutePlanner(org.apache.http.conn.routing.HttpRoutePlanner routePlanner)` Deprecated.
`void` | `setTargetAuthenticationStrategy(org.apache.http.client.AuthenticationStrategy targetAuthStrategy)` Deprecated.
`void` | `setUserTokenHandler(org.apache.http.client.UserTokenHandler userTokenHandler)` Deprecated.
`void` | `shutdown()` Deprecated.
`void` | `start()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractHttpAsyncClient

    protected AbstractHttpAsyncClient(ClientAsyncConnectionManager connmgr)

  Deprecated.

### AbstractHttpAsyncClient

    protected AbstractHttpAsyncClient(org.apache.http.impl.nio.reactor.IOReactorConfig config)
                               throws org.apache.http.nio.reactor.IOReactorException

  Deprecated.
  Throws:
    `org.apache.http.nio.reactor.IOReactorException`

Method Detail

### createHttpParams

    protected abstract org.apache.http.params.HttpParams createHttpParams()

  Deprecated.

### createHttpProcessor

    protected abstract org.apache.http.protocol.BasicHttpProcessor createHttpProcessor()

  Deprecated.

### createHttpContext

    protected org.apache.http.protocol.HttpContext createHttpContext()

  Deprecated.

### createConnectionReuseStrategy

    protected org.apache.http.ConnectionReuseStrategy createConnectionReuseStrategy()

  Deprecated.

### createConnectionKeepAliveStrategy

    protected org.apache.http.conn.ConnectionKeepAliveStrategy createConnectionKeepAliveStrategy()

  Deprecated.

### createAuthSchemeRegistry

    protected org.apache.http.auth.AuthSchemeRegistry createAuthSchemeRegistry()

  Deprecated.

### createCookieSpecRegistry

    protected org.apache.http.cookie.CookieSpecRegistry createCookieSpecRegistry()

  Deprecated.

### createTargetAuthenticationStrategy

    protected org.apache.http.client.AuthenticationStrategy createTargetAuthenticationStrategy()

  Deprecated.

### createProxyAuthenticationStrategy

    protected org.apache.http.client.AuthenticationStrategy createProxyAuthenticationStrategy()

  Deprecated.

### createCookieStore

    protected org.apache.http.client.CookieStore createCookieStore()

  Deprecated.

### createCredentialsProvider

    protected org.apache.http.client.CredentialsProvider createCredentialsProvider()

  Deprecated.

### createHttpRoutePlanner

    protected org.apache.http.conn.routing.HttpRoutePlanner createHttpRoutePlanner()

  Deprecated.

### createUserTokenHandler

    protected org.apache.http.client.UserTokenHandler createUserTokenHandler()

  Deprecated.

### getParams

    public final org.apache.http.params.HttpParams getParams()

  Deprecated.

### setParams

    public void setParams(org.apache.http.params.HttpParams params)

  Deprecated.

### getConnectionManager

    public ClientAsyncConnectionManager getConnectionManager()

  Deprecated.

### getConnectionReuseStrategy

    public final org.apache.http.ConnectionReuseStrategy getConnectionReuseStrategy()

  Deprecated.

### setReuseStrategy

    public void setReuseStrategy(org.apache.http.ConnectionReuseStrategy reuseStrategy)

  Deprecated.

### getConnectionKeepAliveStrategy

    public final org.apache.http.conn.ConnectionKeepAliveStrategy getConnectionKeepAliveStrategy()

  Deprecated.

### setKeepAliveStrategy

    public void setKeepAliveStrategy(org.apache.http.conn.ConnectionKeepAliveStrategy keepAliveStrategy)

  Deprecated.

### getRedirectStrategy

    public final org.apache.http.client.RedirectStrategy getRedirectStrategy()

  Deprecated.

### setRedirectStrategy

    public void setRedirectStrategy(org.apache.http.client.RedirectStrategy redirectStrategy)

  Deprecated.

### getAuthSchemes

    public final org.apache.http.auth.AuthSchemeRegistry getAuthSchemes()

  Deprecated.

### setAuthSchemes

    public void setAuthSchemes(org.apache.http.auth.AuthSchemeRegistry authSchemeRegistry)

  Deprecated.

### getCookieSpecs

    public final org.apache.http.cookie.CookieSpecRegistry getCookieSpecs()

  Deprecated.

### setCookieSpecs

    public void setCookieSpecs(org.apache.http.cookie.CookieSpecRegistry cookieSpecRegistry)

  Deprecated.

### getTargetAuthenticationStrategy

    public final org.apache.http.client.AuthenticationStrategy getTargetAuthenticationStrategy()

  Deprecated.

### setTargetAuthenticationStrategy

    public void setTargetAuthenticationStrategy(org.apache.http.client.AuthenticationStrategy targetAuthStrategy)

  Deprecated.

### getProxyAuthenticationStrategy

    public final org.apache.http.client.AuthenticationStrategy getProxyAuthenticationStrategy()

  Deprecated.

### setProxyAuthenticationStrategy

    public void setProxyAuthenticationStrategy(org.apache.http.client.AuthenticationStrategy proxyAuthStrategy)

  Deprecated.

### getCookieStore

    public final org.apache.http.client.CookieStore getCookieStore()

  Deprecated.

### setCookieStore

    public void setCookieStore(org.apache.http.client.CookieStore cookieStore)

  Deprecated.

### getCredentialsProvider

    public final org.apache.http.client.CredentialsProvider getCredentialsProvider()

  Deprecated.

### setCredentialsProvider

    public void setCredentialsProvider(org.apache.http.client.CredentialsProvider credsProvider)

  Deprecated.

### getRoutePlanner

    public final org.apache.http.conn.routing.HttpRoutePlanner getRoutePlanner()

  Deprecated.

### setRoutePlanner

    public void setRoutePlanner(org.apache.http.conn.routing.HttpRoutePlanner routePlanner)

  Deprecated.

### getUserTokenHandler

    public final org.apache.http.client.UserTokenHandler getUserTokenHandler()

  Deprecated.

### setUserTokenHandler

    public void setUserTokenHandler(org.apache.http.client.UserTokenHandler userTokenHandler)

  Deprecated.

### getHttpProcessor

    protected final org.apache.http.protocol.BasicHttpProcessor getHttpProcessor()

  Deprecated.

### getResponseInterceptorCount

    public int getResponseInterceptorCount()

  Deprecated.

### getResponseInterceptor

    public org.apache.http.HttpResponseInterceptor getResponseInterceptor(int index)

  Deprecated.

### getRequestInterceptor

    public org.apache.http.HttpRequestInterceptor getRequestInterceptor(int index)

  Deprecated.

### getRequestInterceptorCount

    public int getRequestInterceptorCount()

  Deprecated.

### addResponseInterceptor

    public void addResponseInterceptor(org.apache.http.HttpResponseInterceptor itcp)

  Deprecated.

### addResponseInterceptor

    public void addResponseInterceptor(org.apache.http.HttpResponseInterceptor itcp,
                                       int index)

  Deprecated.

### clearResponseInterceptors

    public void clearResponseInterceptors()

  Deprecated.

### removeResponseInterceptorByClass

    public void removeResponseInterceptorByClass(Class<? extends org.apache.http.HttpResponseInterceptor> clazz)

  Deprecated.

### addRequestInterceptor

    public void addRequestInterceptor(org.apache.http.HttpRequestInterceptor itcp)

  Deprecated.

### addRequestInterceptor

    public void addRequestInterceptor(org.apache.http.HttpRequestInterceptor itcp,
                                      int index)

  Deprecated.

### clearRequestInterceptors

    public void clearRequestInterceptors()

  Deprecated.

### removeRequestInterceptorByClass

    public void removeRequestInterceptorByClass(Class<? extends org.apache.http.HttpRequestInterceptor> clazz)

  Deprecated.

### getStatus

    public org.apache.http.nio.reactor.IOReactorStatus getStatus()

  Deprecated.

### start

    public void start()

  Deprecated.

### shutdown

    public void shutdown()
                  throws InterruptedException

  Deprecated.
  Throws:
    `InterruptedException`

### execute

    public <T> Future<T> execute(org.apache.http.nio.protocol.HttpAsyncRequestProducer requestProducer,
                                 org.apache.http.nio.protocol.HttpAsyncResponseConsumer<T> responseConsumer,
                                 org.apache.http.protocol.HttpContext context,
                                 org.apache.http.concurrent.FutureCallback<T> callback)

  Deprecated.
  Description copied from interface: `HttpAsyncClient`
  Initiates asynchronous HTTP request execution using the given context.

  The request producer passed to this method will be used to generate a request message and stream out its content without buffering it in memory. The response consumer passed to this method will be used to process a response message without buffering its content in memory.

  Please note it may be unsafe to interact with the context instance while the request is still being executed.

  Specified by:
    `execute` in interface `HttpAsyncClient`
  Type Parameters:
    `T` - the result type of request execution.
  Parameters:
    `requestProducer` - request producer callback.
    `responseConsumer` - response consumer callaback.
    `context` - HTTP context
    `callback` - future callback.
  Returns:
    future representing pending completion of the operation.

### execute

    public <T> Future<T> execute(org.apache.http.nio.protocol.HttpAsyncRequestProducer requestProducer,
                                 org.apache.http.nio.protocol.HttpAsyncResponseConsumer<T> responseConsumer,
                                 org.apache.http.concurrent.FutureCallback<T> callback)

  Deprecated.
  Description copied from interface: `HttpAsyncClient`
  Initiates asynchronous HTTP request execution using the default context.

  The request producer passed to this method will be used to generate a request message and stream out its content without buffering it in memory. The response consumer passed to this method will be used to process a response message without buffering its content in memory.

  Specified by:
    `execute` in interface `HttpAsyncClient`
  Type Parameters:
    `T` - the result type of request execution.
  Parameters:
    `requestProducer` - request producer callback.
    `responseConsumer` - response consumer callaback.
    `callback` - future callback.
  Returns:
    future representing pending completion of the operation.

### execute

    public Future<org.apache.http.HttpResponse> execute(org.apache.http.HttpHost target,
                                                        org.apache.http.HttpRequest request,
                                                        org.apache.http.protocol.HttpContext context,
                                                        org.apache.http.concurrent.FutureCallback<org.apache.http.HttpResponse> callback)

  Deprecated.
  Description copied from interface: `HttpAsyncClient`
  Initiates asynchronous HTTP request execution against the given target using the given context.

  Please note it may be unsafe to interact with the context instance while the request is still being executed.

  Specified by:
    `execute` in interface `HttpAsyncClient`
  Parameters:
    `target` - the target host for the request. Implementations may accept `null` if they can still determine a route, for example to a default target or by inspecting the request.
    `request` - the request to execute
    `context` - the context to use for the execution, or `null` to use the default context
    `callback` - future callback.
  Returns:
    future representing pending completion of the operation.

### execute

    public Future<org.apache.http.HttpResponse> execute(org.apache.http.HttpHost target,
                                                        org.apache.http.HttpRequest request,
                                                        org.apache.http.concurrent.FutureCallback<org.apache.http.HttpResponse> callback)

  Deprecated.
  Description copied from interface: `HttpAsyncClient`
  Initiates asynchronous HTTP request execution against the given target.

  Specified by:
    `execute` in interface `HttpAsyncClient`
  Parameters:
    `target` - the target host for the request. Implementations may accept `null` if they can still determine a route, for example to a default target or by inspecting the request.
    `request` - the request to execute
    `callback` - future callback.
  Returns:
    future representing pending completion of the operation.

### execute

    public Future<org.apache.http.HttpResponse> execute(org.apache.http.client.methods.HttpUriRequest request,
                                                        org.apache.http.concurrent.FutureCallback<org.apache.http.HttpResponse> callback)

  Deprecated.
  Description copied from interface: `HttpAsyncClient`
  Initiates asynchronous HTTP request execution.

  Specified by:
    `execute` in interface `HttpAsyncClient`
  Parameters:
    `request` - the request to execute
    `callback` - future callback.
  Returns:
    future representing pending completion of the operation.

### execute

    public Future<org.apache.http.HttpResponse> execute(org.apache.http.client.methods.HttpUriRequest request,
                                                        org.apache.http.protocol.HttpContext context,
                                                        org.apache.http.concurrent.FutureCallback<org.apache.http.HttpResponse> callback)

  Deprecated.
  Description copied from interface: `HttpAsyncClient`
  Initiates asynchronous HTTP request execution using the given context.

  Please note it may be unsafe to interact with the context instance while the request is still being executed.

  Specified by:
    `execute` in interface `HttpAsyncClient`
  Parameters:
    `request` - the request to execute
    `context` - HTTP context
    `callback` - future callback.
  Returns:
    future representing pending completion of the operation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010–2021 The Apache Software Foundation. All rights reserved.